@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
}

body{
    background-color: rgb(146, 184, 184);
    height: 100vh;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 20px;
    font-family: "poppins";
}
body h1{
    color: rgb(96, 86, 238);
}

.container{
    height: max-content;
    width: 60%;
    background-color: white;
    border-radius: 15px;
    box-shadow: 0px 5px 18px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    padding: 15px;
}

.container input{
    padding: 10px 25px;
    width: 80%;
    background-color: white;
    border: 1px solid rgba(96, 86, 238, 0.479);
    border-radius: 5px;
    font-family: "poppins";
    outline: none;
}

.container button{
    padding: 10px 25px;
    background-color: rgb(100, 187, 107);
    border: none;
    border-radius: 5px;
    color: white;
    font-family: "poppins";
    letter-spacing: 2px;
    font-size: 15px;
}

.imgbox{
    border-radius: 5px;
    max-height: 0px;
    overflow: hidden;
    transition: max-height 1.5s;
    object-fit: cover;
    padding: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.imgbox img{
    width: 100%;
}

.imgborder{
    border: 1px solid black;
}

.showimg{
    max-height: 200px;
    margin: 10px auto;
    border: 1px solid rgba(96, 86, 238, 0.479);
}

.container .error {
    animation: shake 0.1s linear 10;
    border: 1px solid red;
}

@keyframes shake{
    0%{
        transform: rotateZ(0deg);
    }
    25%{
        transform: rotateZ(-1deg);
    }
    50%{
        transform: rotateZ(0deg);
    }
    75%{
        transform: rotateZ(1deg);
    }
    100%{
        transform: rotateZ(0deg);
    }
}

@media (max-width: 350px) {
    body h1{
        font-size: 25px;
    }
}